Neighbor Class Reference

`#include <LatticeAlgs.h>`

## Public Member Functions

| Neighbor ()
| Neighbor (const GrobLat &lat)
| Neighbor (const GrobLat &lat, const size_t row)
Neighbor & | operator= (const Neighbor &neighbor)
bool | operator== (const Neighbor &neighbor) const
const mpq_class & | getH (size_t i) const
size_t | getHDim () const
const mpq_class & | getY (size_t i) const
size_t | getYDim () const
size_t | getRow () const
bool | isZero () const
bool | isValid () const
bool | isSpecial () const
bool | isGenerator () const
string | getName () const
const GrobLat & | getGrobLat () const

## Private Attributes

const GrobLat * | _lat
size_t | _row

## Detailed Description

Definition at line 86 of file LatticeAlgs.h.

## Constructor & Destructor Documentation

## Neighbor() [1/3]

Neighbor::Neighbor | ( |  | ) |

Definition at line 1398 of file LatticeAlgs.cpp.

## Neighbor() [2/3]

Neighbor::Neighbor | ( | const GrobLat & | lat | ) |

Definition at line 1402 of file LatticeAlgs.cpp.

## Neighbor() [3/3]

Neighbor::Neighbor | ( | const GrobLat & | lat,
|  | const size_t | row )

Definition at line 1406 of file LatticeAlgs.cpp.

## Member Function Documentation

## getGrobLat()

const GrobLat & Neighbor::getGrobLat | ( |  | ) | const

inline

Definition at line 116 of file LatticeAlgs.h.

## getH()

const mpq_class & Neighbor::getH | ( | size_t | i | ) | const

Definition at line 1410 of file LatticeAlgs.cpp.

## getHDim()

size_t Neighbor::getHDim | ( |  | ) | const

Definition at line 1419 of file LatticeAlgs.cpp.

## getName()

string Neighbor::getName | ( |  | ) | const

Definition at line 1519 of file LatticeAlgs.cpp.

## getRow()

size_t Neighbor::getRow | ( |  | ) | const

inline

Definition at line 108 of file LatticeAlgs.h.

## getY()

const mpq_class & Neighbor::getY | ( | size_t | i | ) | const

Definition at line 1424 of file LatticeAlgs.cpp.

## getYDim()

size_t Neighbor::getYDim | ( |  | ) | const

Definition at line 1433 of file LatticeAlgs.cpp.

## isGenerator()

bool Neighbor::isGenerator | ( |  | ) | const

Definition at line 1504 of file LatticeAlgs.cpp.

## isSpecial()

bool Neighbor::isSpecial | ( |  | ) | const

Definition at line 1496 of file LatticeAlgs.cpp.

## isValid()

bool Neighbor::isValid | ( |  | ) | const

Definition at line 1443 of file LatticeAlgs.cpp.

## isZero()

bool Neighbor::isZero | ( |  | ) | const

Definition at line 1438 of file LatticeAlgs.cpp.

## operator=()

Neighbor & Neighbor::operator= | ( | const Neighbor & | neighbor | ) |

inline

Definition at line 92 of file LatticeAlgs.h.

## operator==()

bool Neighbor::operator== | ( | const Neighbor & | neighbor | ) | const

inline

Definition at line 98 of file LatticeAlgs.h.

## Member Data Documentation

## _lat

const GrobLat* Neighbor::_lat

private

Definition at line 119 of file LatticeAlgs.h.

## _row

size_t Neighbor::_row

private

Definition at line 120 of file LatticeAlgs.h.

The documentation for this class was generated from the following files:

- src/LatticeAlgs.h
- src/LatticeAlgs.cpp